{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "PER_ID"; 
            externalType = NUMBER; 
            name = perId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_BENEFICIAIRE"; 
            externalType = NUMBER; 
            name = persIdBeneficiaire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRI_ID"; 
            externalType = NUMBER; 
            name = priId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_AUCUNE_BONIFICATION"; 
            externalType = VARCHAR2; 
            name = temAucuneBonification; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_DEP_DROIT_CONGE"; 
            externalType = VARCHAR2; 
            name = temDepDroitConge; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_DEP_SEM_HAUTES"; 
            externalType = VARCHAR2; 
            name = temDepSemHautes; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_HORS_NORMES"; 
            externalType = VARCHAR2; 
            name = temHorsNormes; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PASSE_DROIT"; 
            externalType = VARCHAR2; 
            name = temPasseDroit; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PAUSE_MERIDIENNE_LIBRE"; 
            externalType = VARCHAR2; 
            name = temPauseMeridienneLibre; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_TPA"; 
            externalType = VARCHAR2; 
            name = temTpa; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (priId); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOPersonnePrivilege"; 
    classProperties = (
        dCreation, 
        dModification, 
        persIdBeneficiaire, 
        temAucuneBonification, 
        temDepDroitConge, 
        temDepSemHautes, 
        temHorsNormes, 
        temPasseDroit, 
        temPauseMeridienneLibre, 
        temTpa, 
        toPeriode, 
        tosIndividu, 
        tosStructure
    ); 
    externalName = "HAMAC.PERSONNE_PRIVILEGE"; 
    fetchSpecificationDictionary = {}; 
    name = PersonnePrivilege; 
    primaryKeyAttributes = (priId); 
    relationships = (
        {
            destination = Periode; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = perId; sourceAttribute = perId; }); 
            name = toPeriode; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persIdBeneficiaire; }); 
            name = tosIndividu; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persIdBeneficiaire; }); 
            name = tosStructure; 
        }
    ); 
    userInfo = {intermediateClass = "A_ToManyPersonne"; }; 
}
